package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.DCfztsjyVO;
import com.unis.base.server.entity.DCfztsjyDO;


/**
 * @author huangxing
 * @version 1.0
 * @Title: DCfztsjyService
 * @ProjectName baseservice
 * @Description:
 * @date 2019/7/22 17:47
 */

public interface DCfztsjyService {

	/**
	 * 根据参数获取仓房列表
	 * @param DCfztsjyVO
	 * @return
	 */
	List<DCfztsjyVO> getDCfztsjyList(DCfztsjyVO DCfztsjyVO);


	/**
	 * 根据仓房编号获取仓房信息
	 * @param cfbh 仓房编号
	 * @return
	 */
	DCfztsjyDO getDCfztsjyInfoBycfbh(String cfbh);


	/**
	 * 更新仓房状态信息
	 * @param dCfztsjyVO
	 * @return
	 */
	int update(DCfztsjyVO dCfztsjyVO);


	/**
	 * 添加仓房状态信息
	 * @param dCfztsjyVO
	 * @return
	 */
	int insert(DCfztsjyVO dCfztsjyVO);
}
